Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# TukeyHSDResult

class scipy.stats._result_classes.TukeyHSDResult(statistic, pvalue, _ntreatments, _df, _stand_err)

  Result of `scipy.stats.tukey_hsd`.

  Attributes:
    statistic float ndarray

      The computed statistic of the test for each comparison. The element at index `(i, j)` is the statistic for the comparison between groups `i` and `j`.

    pvalue float ndarray

      The associated p-value from the studentized range distribution. The element at index `(i, j)` is the p-value for the comparison between groups `i` and `j`.

  Methods

  `confidence_interval`([confidence_level]) | Compute the confidence interval for the specified confidence level.

  Notes

  The string representation of this object displays the most recently calculated confidence interval, and if none have been previously calculated, it will evaluate `confidence_interval()`.

  References

  [1]

  NIST/SEMATECH e-Handbook of Statistical Methods, “7.4.7.1. Tukey’s Method.” https://www.itl.nist.gov/div898/handbook/prc/section4/prc471.htm, 28 November 2020.

  [2]

  P. A. Games and J. F. Howell, “Pairwise Multiple Comparison Procedures with Unequal N’s and/or Variances: A Monte Carlo Study,” Journal of Educational Statistics, vol. 1, no. 2, pp. 113-125, Jun. 1976, doi: https://doi.org/10.3102/10769986001002113.